Wojciech Kumoń created SUREFIRE-1406:
----------------------------------------

             Summary: SpringBootTest with junit5 fails on maven-surefire-plugin 
2.20
                 Key: SUREFIRE-1406
                 URL: https://issues.apache.org/jira/browse/SUREFIRE-1406
             Project: Maven Surefire
          Issue Type: Bug
          Components: JUnit 5.x support, Maven Surefire Plugin
    Affects Versions: 2.20
            Reporter: Wojciech Kumoń


It is impossible to run maven tests with:
`maven-surefire-plugin:2.20`
`junit5:RC2 `(other versions like `M4`, `M5` are not working too)
`spring-boot:2.0.0.M3`

using `@SpringBootTest` or `@WebMvcTest` - can't test with spring context

Maven logs:
[WARNING] Corrupted stdin stream in forked JVM 1. See the dump file 
[path]/springbootmaventest/target/surefire-reports/2017-08-10T15-12-36_773-jvmRun1.dumpstream
[ERROR] Java heap space -> [Help 1]

Everything works with `maven-surefire-plugin:2.19.1`

Project with reproduction: 
https://bitbucket.org/wojtas626/spring-boot-maven-test/overview
Initial question with problems: 
https://stackoverflow.com/questions/45372927/maven-failure-on-spring-boot-test-junit-5



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Reply via email to